<!--Table here-->
<div class="containerAddButton">
  <button
    *ngIf="this.user.isAdmin"
    type="button"
    class="btn addButton"
    data-toggle="modal"
    (click)="showAddModal();myModal.show();"
  >
    Ajouter un type d'hebergement
  </button>
</div>
<div class="card">
  <div class="card-body">
    <div class="loadingTableContainer" *ngIf="isLoading || dataNotFound">
      <div class="loadingTable">
        <div class="dataNotFound" *ngIf="isLoading">
          <div style="opacity: 0.7; color: black">Chargement ...</div>
          <img
            src="assets/img/gif/cloud.gif"
            alt="this scope moves"
            width="70"
          />
        </div>
        <div class="dataNotFound" *ngIf="dataNotFound">
          <div style="color: black">Aucune donnée trouvée !</div>
          <img
            src="assets/img/gif/zoom.gif"
            alt="this scope moves"
            width="50"
          />
        </div>
      </div>
    </div>
    <table class="table table-striped">
      <thead style="z-index: 88" class="tableHead">
        <tr class="table-sm cc">
          <th style="width: 10%; min-width: 60px">
            ID
            <input
              *ngIf="filterId"
              class="inputFilter"
              style="width: 50px"
              type="text"
              [(ngModel)]="filters[0]['id']"
              (keyup)="getAccommodationType(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterId = !filterId"
            ></i>
          </th>
          <th style="min-width: 80px">
            Nom
            <input
              *ngIf="filterNom"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[3]['name']"
              (keyup)="getAccommodationType(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterNom = !filterNom"
            ></i>
          </th>
          <th style="min-width: 80px">
            amortissement
            <input
              *ngIf="filterAmortization"
              class="inputFilter"
              type="text"
              style="width: 80px"
              [(ngModel)]="filters[5]['amortization%5Bgte%5D']"
              (keyup)="getAccommodationType(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterAmortization = !filterAmortization"
            ></i>
          </th>
          <th style="min-width: 80px">
            garantie
            <input
              *ngIf="filterGuarantee"
              class="inputFilter"
              type="text"
              style="width: 80px"
              [(ngModel)]="filters[6]['guarantee%5Bgte%5D']"
              (keyup)="getAccommodationType(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterGuarantee = !filterGuarantee"
            ></i>
          </th>
          <th style="min-width: 80px">
            type de locatif
            <input
              *ngIf="filterRentalType"
              class="inputFilter"
              type="text"
              [(ngModel)]="filters[7]['rental_type']"
              (change)="getAccommodationType(1)"
            />
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterRentalType = !filterRentalType"
            ></i>
          </th>
          <th *ngIf="this.user.isAdmin" style="min-width: 80px">
            Actif
            <div *ngIf="filterActif" class="col-form-label inputFilterActif">
              <div class="form-check">
                <input
                  class="form-check-input"
                  type="radio"
                  name="radios"
                  id="radio1"
                  value=""
                  [(ngModel)]="filters[4]['is_active']"
                  (change)="getAccommodationType(1)"
                  checked=""
                />
                <label for="radio1" class="form-check-label"> ALL </label>
              </div>
              <div class="form-check">
                <input
                  class="form-check-input"
                  type="radio"
                  name="radios"
                  id="radio2"
                  value="true"
                  [(ngModel)]="filters[4]['is_active']"
                  (change)="getAccommodationType(1)"
                />
                <label for="radio2" class="form-check-label"> Active </label>
              </div>
              <div class="form-check">
                <input
                  class="form-check-input"
                  type="radio"
                  name="radios"
                  id="radio3"
                  value="false"
                  [(ngModel)]="filters[4]['is_active']"
                  (change)="getAccommodationType(1)"
                />
                <label for="radio3" class="form-check-label"> Inactive </label>
              </div>
            </div>
            <i
              class="fa fa-filter fa-lg customfilter"
              (click)="filterActif = !filterActif"
            ></i>
          </th>
          <th *ngIf="this.user.isAdmin" style="width: 80px; padding: 15px 0px">
            Actions
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let accommodationType of AccommodationTypes">
          <td>{{ accommodationType.id }}</td>
          <td>{{ accommodationType.name }}</td>
          <td>{{ accommodationType.amortization }}</td>
          <td>{{ accommodationType.guarantee }}</td>
          <td>
            {{
              accommodationType.rental_type
                ? accommodationType.rental_type.name
                : "NULL"
            }}
          </td>
          <td *ngIf="this.user.isAdmin">
            <label class="switch switch-label switch-pill switch-success">
              <input
                type="checkbox"
                [(ngModel)]="accommodationType.is_active"
                (click)="
                  changeStatut(
                    accommodationType.id,
                    accommodationType.is_active
                  )
                "
                class="switch-input"
              />
              <span
                data-checked="✓"
                data-unchecked="✕"
                class="switch-slider"
              ></span>
            </label>
          </td>
          <td style="z-index: 2222" *ngIf="this.user.isAdmin">
            <div class="editIcon">
              <i
                class="icon-note icons font-2xl"
                (click)="
                  showUpdateModal(accommodationType); myUpdateModal.show()
                "
              ></i>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="count">
    <div>
      Résultats {{ AccommodationTypes.length }} (filtrés parmi {{ totalCount }})
    </div>
  </div>
</div>
<div class="pages" *ngIf="totalCount > 10">
  <ul class="pagination">
    <li class="page-item" (click)="getAccommodationType(pagination.first)">
      <a class="page-link"><i class="fa fa-angle-double-left fa-lg"></i></a>
    </li>

    <li class="page-item" (click)="getAccommodationType(pagination.prev)">
      <a class="page-link" *ngIf="pagination.first < pagination.current"
        ><i class="fa fa-angle-left fa-lg"></i
      ></a>
    </li>
    <li class="page-item" (click)="getAccommodationType(pagination.prev - 1)">
      <a class="page-link" *ngIf="pagination.first < pagination.prev">..</a>
    </li>
    <li class="page-item" (click)="getAccommodationType(pagination.prev)">
      <a class="page-link" *ngIf="pagination.prev < pagination.current">{{
        pagination.prev
      }}</a>
    </li>
    <li
      class="page-item active"
      (click)="getAccommodationType(pagination.current)"
    >
      <a class="page-link">{{ pagination.current }}</a>
    </li>
    <li class="page-item" (click)="getAccommodationType(pagination.next)">
      <a class="page-link" *ngIf="pagination.next > pagination.current">{{
        pagination.next
      }}</a>
    </li>
    <li class="page-item">
      <a
        class="page-link"
        (click)="getAccommodationType(pagination.next + 1)"
        *ngIf="pagination.next < pagination.last"
        >..</a
      >
    </li>
    <li class="page-item" (click)="getAccommodationType(pagination.next)">
      <a class="page-link" *ngIf="pagination.current != pagination.last"
        ><i class="fa fa-angle-right fa-lg"></i
      ></a>
    </li>
    <li class="page-item" (click)="getAccommodationType(pagination.last)">
      <a class="page-link"><i class="fa fa-angle-double-right fa-lg"></i></a>
    </li>
  </ul>
</div>

<div
  bsModal
  #myModal="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Ajouter un type d'hébergement</h4>
        <button
          type="button"
          class="close"
          (click)="myModal.hide(); resetAddModal()"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div
        role="alert"
        class="alert alert-success"
        *ngIf="successAddAccommodationType"
      >
        Ce type d'hébergement est modifié <strong> avec succès !</strong>
      </div>
      <div
        role="alert"
        class="alert alert-danger"
        *ngIf="errorAddAccommodationType"
      >
        <strong>Oops !</strong> Modifiez quelques éléments et essayez de
        soumettre de nouveau !
      </div>
      <div class="modal-body">
        <div class="form-group custom-col">
          <label>Nom</label>
          <input
            (blur)="uniquenessCheck()"
            type="text"
            placeholder="nom de type d'hébergement :"
            class="form-control"
            [(ngModel)]="newAccommodationType.name"
            style="color: black"
            [ngStyle]="inputStyle"
          />
          <span *ngIf="entityExist"> * Ce nom existe déjà ! </span>
          <span *ngIf="entityEmpty"> * Ce champ est obligatoire ! </span>
        </div>
        <div class="form-group custom-col">
          <label>Amortissement</label>
          <input
            type="number"
            placeholder="amortissement :"
            class="form-control"
            [(ngModel)]="newAccommodationType.amortization"
            style="color: black"
            [min]="0"
          />
        </div>
        <div class="form-group custom-col">
          <label>Garantie</label>
          <input
            type="number"
            placeholder="Garantie :"
            class="form-control"
            [(ngModel)]="newAccommodationType.guarantee"
            style="color: black"
            [min]="0"
          />
        </div>
        <div class="form-group custom-col">
          <label>Type de locatif</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="newAccommodationType.rentalType"
          >
            <option selected disabled value="">
              Choisir un type de locatif
            </option>
            <option
              *ngFor="let rentalType of rentalTypes"
              [ngValue]="rentalType['@id']"
            >
              {{ rentalType["name"] }}
            </option>
          </select>
          <div class="custom-col">
            <span *ngIf="emptyPick">
              * Veuillez sélectionner une option pour continuer
            </span>
          </div>
        </div>
        <div class="selectActif">
          <label>Actif</label>
          <label class="switch switch-label switch-pill switch-success">
            <input
              type="checkbox"
              [(ngModel)]="newAccommodationType.isActive"
              class="switch-input"
            />
            <span
              data-checked="✓"
              data-unchecked="✕"
              class="switch-slider"
            ></span>
          </label>
        </div>
      </div>
      <div class="modal-footer">
        <button
          type="button"
          class="btn btn-secondary"
          (click)="myModal.hide(); resetAddModal()"
        >
          annuler
        </button>
        <button
          type="button"
          class="btn addButton"
          (click)="addNewSiteType(); uniquenessCheck()"
        >
          Enregistrer
        </button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

<div
  bsModal
  #myUpdateModal="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Modifier ce type d'hébergement</h4>
        <button
          type="button"
          class="close"
          (click)="myUpdateModal.hide(); resetAddModal()"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <!--Alert messages here-->
      <div
        class="alert alert-success alert-dismissible fade show"
        role="alert"
        style="
          max-width: 95%;
          margin-left: 10px;
          margin-top: 10px;
          margin-bottom: -8px;
        "
        *ngIf="successModifySiteType"
      >
        Les modifications ont été opérées avec<strong> succès !</strong>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>

      <div
        class="alert alert-danger alert-dismissible fade show"
        role="alert"
        style="
          max-width: 95%;
          margin-left: 10px;
          margin-top: 10px;
          margin-bottom: -8px;
        "
        *ngIf="failModifySiteType"
      >
        <strong>Attention </strong> Ce nom existe déjà !
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>
      <div class="modal-body">
        <div class="form-group">
          <label>Nom</label>
          <input
            type="text"
            placeholder="site 1"
            class="form-control"
            [(ngModel)]="updateAccommodationType.name"
            style="color: black"
          />
        </div>
        <div class="form-group custom-col">
          <label>Amortissement</label>
          <input
            type="number"
            placeholder="amortissement :"
            class="form-control"
            [(ngModel)]="updateAccommodationType.amortization"
            style="color: black"
            [min]="0"
          />
        </div>
        <div class="form-group custom-col">
          <label>Garantie</label>
          <input
            type="number"
            placeholder="garantie :"
            class="form-control"
            [(ngModel)]="updateAccommodationType.guarantee"
            style="color: black"
            [min]="0"
          />
        </div>
        <div class="form-group custom-col">
          <label>Type de locatif</label>
          <select
            style="color: black"
            class="form-control"
            [(ngModel)]="updateAccommodationType.rentalType"
          >
            <option
              *ngFor="let rentalType of rentalTypes"
              [ngValue]="rentalType['@id']"
            >
              {{ rentalType["name"] }}
            </option>
          </select>
        </div>
      </div>
      <div class="modal-footer">
        <button
          type="button"
          class="btn btn-secondary"
          (click)="myUpdateModal.hide()"
        >
          annuler
        </button>
        <button type="button" class="btn btn-success" (click)="putSiteType()">
          Enregistre
        </button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
